Subject: Re: [PATCH 1/3] push: add --current

From: Paolo Bonzini <[email-masked]>
Date: Sun, 19 Jul 2009 23:46:38 +0200

Thanks for the review!

> If your final belief (which I happen to agree) is that
> 
> % git push --current
> % git push --current origin
> % git push --current over.there.example.com:project.git
> 
> should work as expected [...] mark clearly that the code after this patch is still broken

Okay, will do.  I just wanted to present both possibilities and thought
that (succeeding) tests were the best way to illustrate the difference.
 For the final submission, now that I had a second opinion, I'll
probably just squash 1/3 and 2/3 together.

> The style of the existing tests in the script isn't
> 
> 	test `git rev-parse master` = `cd b.git && git rev-parse master`
> 
> but is
> 
> 	test "$(git rev-parse master)" = "$(cd b.git && git rev-parse master)"

Will do.

Paolo